# Get subscription status Obtiene el estado completo de una suscripción específica. Endpoint: GET /subscriptions/{subscription_id} Version: 1.0.0 Security: ApiKeyAuth ## Path parameters: - `subscription_id` (integer, required) Example: 2903 ## Response 200 fields (application/json): - `status` (string, required) Example: "OK" - `data` (object, required) - `data.id` (integer, required) Example: 2903 - `data.hash` (string) Example: "dgwndCoN8W" - `data.number` (string) Example: "38" - `data.active` (boolean, required) - `data.payment_status` (string, required) Example: "pending" - `data.next_payment_attempt` (string,null) - `data.payment_attempts` (any) Example: "0" - `data.next_invoice_date` (string,null) - `data.end_date` (string,null) - `data.automatic_renewal` (boolean) Example: true - `data.creation_date` (string) - `data.trial_period_start_date` (string,null) - `data.trial_period_end_date` (string,null) - `data.billing_type` (string) Example: "charge_automatically" - `data.current_period_start` (string,null) - `data.current_period_end` (string,null) - `data.installments` (integer) Example: 1 - `data.total_periods` (integer) - `data.total_paid_periods` (integer) - `data.activation_date` (string,null) - `data.days_until_due` (integer) - `data.authorization_required` (boolean) - `data.language_iso` (string) Example: "es" - `data.cancellation_date` (string,null) - `data.cancellation_policy` (string,null) - `data.cancel_at` (string,null) - `data.pay_url` (string,null) - `data.is_trial` (boolean) - `data.is_free` (boolean) - `data.current_invoice` (object) - `data.current_invoice.type` (string) - `data.current_invoice.total_amount` (string, required) - `data.current_invoice.currency` (string) - `data.current_invoice.currency_symbol` (string) - `data.current_invoice.items` (array) - `data.current_invoice.items.name` (string, required) - `data.current_invoice.items.price` (string, required) - `data.current_invoice.items.quantity` (integer, required) - `data.current_invoice.items.ecommerce_type` (string) - `data.gateway` (object) - `data.gateway.connected` (boolean) - `data.billing_agreement` (object,null) - `data.external_plan_registered` (boolean) - `data.billing_plan` (object) - `data.billing_plan.code` (string) - `data.billing_plan.schedule_type` (string, required) - `data.total_items` (integer) - `data.pricing_period` (object) - `data.pricing_period.start_date` (string) - `data.customer` (object) - `data.customer.last_name` (string,null) - `data.customer.email` (string, required) - `data.customer.phone` (string,null) - `data.customer.is_guest` (boolean) - `data.customer.stage` (string) - `data.sales_channel` (object) - `data.sales_channel.business_id` (integer) - `data.sales_channel.slug` (string) - `data.sales_channel.domain` (string) - `data.history` (array) ## Response 401 fields (application/json): - `status` (string, required) Example: "ERROR" - `message` (string, required) Example: "Descripción del error" - `errors` (array, required) - `errors.code` (integer, required) Example: 4000 - `errors.extra_data` (array) Datos extra para debug/validación (puede venir vacío). ## Response 404 fields (application/json): - `status` (string, required) Example: "ERROR" - `message` (string, required) Example: "Descripción del error" - `errors` (array, required) - `errors.code` (integer, required) Example: 4000 - `errors.extra_data` (array) Datos extra para debug/validación (puede venir vacío).